<?php
header("Content-type: image/png");
// СЃРѕР·РґР°РµРј РєР°СЂС‚РёРЅРєСѓ СЂР°Р·РјРµСЂРѕРј 172X52
$img = imagecreatetruecolor(172, 52) or die('Cannot create image');
$orange = imageColorAllocate($img, 255, 128, 64);
$FIGURES = ['50', '70', '90', '110', '130', '150', '170', '190', '210'];

// Р·Р°РїРѕР»РЅСЏРµРј С„РѕРЅ РєР°СЂС‚РёРЅРєРё
//0x919191
imagefill($img, 0, 0, imagecolorallocate($img, 255, 255, 255));
$x = 0;
$i = 1;
$sum = "";

//С†РІРµС‚ С‚РµРєСЃС‚Р°
$color_RGB = rand(180, 200);
while ($i++ <= 5000) {
    imageSetPixel($img, rand(0, 170), rand(0, 50), imagecolorallocate($img, 245, 245, 245));
}

//СЂРёСЃСѓРµРј 2 Р»РёРЅРёРё
imageLine($img, rand(0, 10), rand(0, 50), rand(110, 170), rand(0, 50), imagecolorallocate($img, 150, 150, 150));
imageLine($img, rand(0, 10), rand(0, 50), rand(110, 170), rand(0, 50), imagecolorallocate($img, 150, 150, 150));

//СЂР°РјРєР°
imageRectangle($img, 1, 1, 170, 51, imagecolorallocate($img, 220, 220, 220));

$fonts = ['fonts/FRSCRIPT.ttf', 'fonts/CHILLER.ttf', 'fonts/Bradley Hand ITC.ttf', 'fonts/de_Manu_2_Regular.ttf', 'fonts/Edgar_da_cool_Regular.ttf', 'fonts/Hurryup_Hurryup.ttf', 'fonts/Fh_Script_Regular.ttf', 'fonts/Gabo4_Gabo4.ttf', 'fonts/JAMI_Regular.ttf', 'fonts/Justy1_Regular.ttf'];
$font = $fonts[rand(0, sizeof($fonts) - 1)];
$font = 'fonts/ARESSENCE.ttf';
// РРЅРёС†РёРёСЂСѓРµРј СЃРµСЃСЃРёСЋ
session_start();
// РІС‹РІРѕРґРёРј РѕРґРЅСѓ С†РёС„СЂСѓ Р·Р° РѕРґРёРЅ РїСЂРѕС…РѕРґ С†РёРєР»Р° (РІСЃРµРіРѕ 6 С†РёС„СЂ)
$i = 1;
while ($i++ <= 6) {
    $color = imagecolorallocatealpha($img, $FIGURES[rand(0, sizeof($FIGURES) - 1)], $FIGURES[rand(0, sizeof($FIGURES) - 1)], $FIGURES[rand(0, sizeof($FIGURES) - 1)], rand(10, 30));
    // РІС‹РІРѕРґРёРј С‚РµРєСЃС‚ РїРѕРІРµСЂС… РєР°СЂС‚РёРЅРєРё
    imagettftext(
        $img,
        rand(20, 25),
        rand(-35, 35),
        $x = $x + 25,
        30 + rand(0, 10),
        $color,
        $font,
        $rnd = rand(0, 9)
    );
    // РЎРѕР±РёСЂР°РµРј РІ РѕРґРЅСѓ СЃС‚СЂРѕРєСѓ РІСЃРµ СЃРёРјРІРѕР»С‹ РЅР° РєР°СЂС‚РёРЅРєРµ
    $sum = $sum . (string)$rnd;
}

// РІС‹РІРѕРґРёРј С‚РµРєСЃС‚ РїРѕРІРµСЂС… РєР°СЂС‚РёРЅРєРё
// imagettftext($img, 8, 0, 110, 52, imagecolorallocate($img,10,10,10), 'fonts/cour.ttf' , 'new.combatz.ru');
imagettftext($img, 8, 0, 7, 50, imagecolorallocate($img, 77, 77, 77), 'fonts/cour.ttf', 'new.combatz.ru &copy; 2013-' . date('Y'));


//РќРµ Р·Р°Р±СѓРґСЊС‚Рµ $sum Р·Р°РїРёСЃР°С‚СЊ РІ С‚Р°Р±Р»РёС†Сѓ РєР°Рє STR1

// РІС‹РІРѕРґРёРј РіРѕС‚РѕРІСѓСЋ РєР°СЂС‚РёРЅРєСѓ РІ С„РѕСЂРјР°С‚Рµ PNG
imagepng($img);
// РѕСЃРІРѕР±РѕР¶РґР°РµРј РїР°РјСЏС‚СЊ, РІС‹РґРµР»РµРЅРЅСѓСЋ РґР»СЏ РєР°СЂС‚РёРЅРєРё
imagedestroy($img);
// РџРѕРјРµС‰Р°РµРј Р·Р°С‰РёС‚РЅС‹Р№ РєРѕРґ РІ СЃРµСЃСЃРёСЋ
$_SESSION['code'] = $sum;
